# LinkedListEntry<E extends LinkedListEntry<E>> class

An object that can be an element in a LinkedList.

All elements of a `LinkedList` must extend this class. The class provides the internal links that link elements together in the `LinkedList`, and a reference to the linked list itself that an element is currently part of.

An entry can be in at most one linked list at a time. While an entry is in a linked list, the list property points to that linked list, and otherwise the `list` property is `null`.

When created, an entry is not in any linked list.

## Constructors

LinkedListEntry()

## Properties

list → LinkedList<E>
  Get the linked list containing this element. [...]
  read-only
next → E
  Return the successor of this element in its linked list. [...]
  read-only
previous → E
  Return the predecessor of this element in its linked list. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

insertAfter(E entry) → void
  Insert an element after this element in this element's linked list. [...]
insertBefore(E entry) → void
  Insert an element before this element in this element's linked list. [...]
unlink() → void
  Unlink the element from its linked list. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited